﻿<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" ToolsVersion="4.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <ItemGroup Label="ProjectConfigurations">
    <ProjectConfiguration Include="Debug|Win32">
      <Configuration>Debug</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|Win32">
      <Configuration>Release</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
  </ItemGroup>
  <PropertyGroup Label="Globals">
    <ProjectGuid>{C5F80730-F44F-4478-BDAE-6634EFC2CA88}</ProjectGuid>
    <RootNamespace>RedCarpetServer</RootNamespace>
    <ProjectName>RedCarpetServer</ProjectName>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <UseDebugLibraries>true</UseDebugLibraries>
    <CharacterSet>MultiByte</CharacterSet>
    <PlatformToolset>
    </PlatformToolset>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <UseDebugLibraries>false</UseDebugLibraries>
    <WholeProgramOptimization>true</WholeProgramOptimization>
    <CharacterSet>MultiByte</CharacterSet>
    <PlatformToolset>
    </PlatformToolset>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <UseDebugLibraries>true</UseDebugLibraries>
    <CharacterSet>MultiByte</CharacterSet>
    <PlatformToolset>
    </PlatformToolset>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <UseDebugLibraries>false</UseDebugLibraries>
    <WholeProgramOptimization>true</WholeProgramOptimization>
    <CharacterSet>MultiByte</CharacterSet>
    <PlatformToolset>
    </PlatformToolset>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <UseDebugLibraries>false</UseDebugLibraries>
    <WholeProgramOptimization>true</WholeProgramOptimization>
    <CharacterSet>MultiByte</CharacterSet>
    <PlatformToolset>v141</PlatformToolset>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
  <ImportGroup Label="ExtensionSettings">
  </ImportGroup>
  <ImportGroup Label="Shared">
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <PropertyGroup Label="UserMacros" />
  <PropertyGroup />
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <ClCompile>
      <WarningLevel>Level3</WarningLevel>
      <Optimization>Disabled</Optimization>
      <SDLCheck>true</SDLCheck>
      <AdditionalIncludeDirectories>$(ProjectDir)..\RedCarpetServer;C:\Users\Thk\AppData\Local\arduino15\packages\esp8266\hardware\esp8266\2.5.1\libraries\ESP8266WiFi\src;C:\Users\Thk\AppData\Local\arduino15\packages\esp8266\hardware\esp8266\2.5.1\cores\esp8266;C:\Users\Thk\AppData\Local\arduino15\packages\esp8266\hardware\esp8266\2.5.1\cores\esp8266\avr;C:\Users\Thk\AppData\Local\arduino15\packages\esp8266\hardware\esp8266\2.5.1\cores\esp8266\libb64;C:\Users\Thk\AppData\Local\arduino15\packages\esp8266\hardware\esp8266\2.5.1\cores\esp8266\spiffs;C:\Users\Thk\AppData\Local\arduino15\packages\esp8266\hardware\esp8266\2.5.1\cores\esp8266\umm_malloc;C:\Users\Thk\AppData\Local\arduino15\packages\esp8266\hardware\esp8266\2.5.1\variants\d1;C:\Users\Thk\AppData\Local\arduino15\packages\esp8266\hardware\esp8266\2.5.1\tools\sdk\include;C:\Users\Thk\AppData\Local\arduino15\packages\esp8266\hardware\esp8266\2.5.1\tools\sdk\lwip2\include;C:\Users\Thk\AppData\Local\arduino15\packages\esp8266\hardware\esp8266\2.5.1\tools\sdk\libc\xtensa-lx106-elf\include;C:\Users\Thk\AppData\Local\arduino15\packages\esp8266\tools\xtensa-lx106-elf-gcc\2.5.0-3-20ed2b9\xtensa-lx106-elf\include\c++\4.8.2;C:\Users\Thk\AppData\Local\arduino15\packages\esp8266\tools\xtensa-lx106-elf-gcc\2.5.0-3-20ed2b9\xtensa-lx106-elf\include\c++\4.8.2\xtensa-lx106-elf;C:\Users\Thk\AppData\Local\arduino15\packages\esp8266\tools\xtensa-lx106-elf-gcc\2.5.0-3-20ed2b9\xtensa-lx106-elf\include;C:\Users\Thk\AppData\Local\arduino15\packages\esp8266\tools\xtensa-lx106-elf-gcc\2.5.0-3-20ed2b9\lib\gcc\xtensa-lx106-elf\4.8.2\include;C:\Users\Thk\AppData\Local\arduino15\packages\esp8266\hardware\esp8266\2.5.1\tools\sdk\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <ForcedIncludeFiles>$(ProjectDir)__vm\.RedCarpetServer.vsarduino.h;%(ForcedIncludeFiles)</ForcedIncludeFiles>
      <IgnoreStandardIncludePath>true</IgnoreStandardIncludePath>
      <PreprocessorDefinitions>__ESP8266_esp8266__;__ESP8266_ESP8266__;_VMDEBUG=1;__ets__;ICACHE_FLASH;NONOSDK221=1;F_CPU=80000000L;LWIP_OPEN_SRC;TCP_MSS=536;LWIP_FEATURES=1;LWIP_IPV6=0;ARDUINO=10809;ARDUINO_ESP8266_WEMOS_D1R1;ARDUINO_ARCH_ESP8266;FLASHMODE_DIO;ESP8266;__cplusplus=201103L;_VMICRO_INTELLISENSE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
    </ClCompile>
    <Link>
      <GenerateDebugInformation>true</GenerateDebugInformation>
    </Link>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <ClCompile>
      <WarningLevel>Level3</WarningLevel>
      <Optimization>MaxSpeed</Optimization>
      <FunctionLevelLinking>true</FunctionLevelLinking>
      <IntrinsicFunctions>true</IntrinsicFunctions>
      <SDLCheck>true</SDLCheck>
      <AdditionalIncludeDirectories>$(ProjectDir)..\RedCarpetServer;C:\Users\Thk\AppData\Local\arduino15\packages\esp8266\hardware\esp8266\2.5.2\libraries\ESP8266WiFi\src;C:\Users\Thk\AppData\Local\arduino15\packages\esp8266\hardware\esp8266\2.5.2\libraries\ESP8266WebServer\src;C:\Users\Thk\AppData\Local\arduino15\packages\esp8266\hardware\esp8266\2.5.2\cores\esp8266;C:\Users\Thk\AppData\Local\arduino15\packages\esp8266\hardware\esp8266\2.5.2\cores\esp8266\avr;C:\Users\Thk\AppData\Local\arduino15\packages\esp8266\hardware\esp8266\2.5.2\cores\esp8266\libb64;C:\Users\Thk\AppData\Local\arduino15\packages\esp8266\hardware\esp8266\2.5.2\cores\esp8266\spiffs;C:\Users\Thk\AppData\Local\arduino15\packages\esp8266\hardware\esp8266\2.5.2\cores\esp8266\umm_malloc;C:\Users\Thk\AppData\Local\arduino15\packages\esp8266\hardware\esp8266\2.5.2\variants\d1_mini;C:\Users\Thk\AppData\Local\arduino15\packages\esp8266\hardware\esp8266\2.5.2\tools\sdk\include;C:\Users\Thk\AppData\Local\arduino15\packages\esp8266\hardware\esp8266\2.5.2\tools\sdk\lwip2\include;C:\Users\Thk\AppData\Local\arduino15\packages\esp8266\hardware\esp8266\2.5.2\tools\sdk\libc\xtensa-lx106-elf\include;C:\Users\Thk\AppData\Local\arduino15\packages\esp8266\tools\xtensa-lx106-elf-gcc\2.5.0-3-20ed2b9\xtensa-lx106-elf\include\c++\4.8.2;C:\Users\Thk\AppData\Local\arduino15\packages\esp8266\tools\xtensa-lx106-elf-gcc\2.5.0-3-20ed2b9\xtensa-lx106-elf\include\c++\4.8.2\xtensa-lx106-elf;C:\Users\Thk\AppData\Local\arduino15\packages\esp8266\tools\xtensa-lx106-elf-gcc\2.5.0-3-20ed2b9\xtensa-lx106-elf\include;C:\Users\Thk\AppData\Local\arduino15\packages\esp8266\tools\xtensa-lx106-elf-gcc\2.5.0-3-20ed2b9\lib\gcc\xtensa-lx106-elf\4.8.2\include;C:\Users\Thk\AppData\Local\arduino15\packages\esp8266\hardware\esp8266\2.5.2\tools\sdk\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <ForcedIncludeFiles>$(ProjectDir)__vm\.RedCarpetServer.vsarduino.h;%(ForcedIncludeFiles)</ForcedIncludeFiles>
      <PreprocessorDefinitions>__ESP8266_esp8266__;__ESP8266_ESP8266__;__ets__;ICACHE_FLASH;NONOSDK221=1;F_CPU=80000000L;LWIP_OPEN_SRC;TCP_MSS=536;LWIP_FEATURES=1;LWIP_IPV6=0;ARDUINO=10809;ARDUINO_ESP8266_WEMOS_D1MINILITE;ARDUINO_ARCH_ESP8266;FLASHMODE_DOUT;ESP8266;__cplusplus=201103L;_VMICRO_INTELLISENSE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
    </ClCompile>
    <Link>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <OptimizeReferences>true</OptimizeReferences>
    </Link>
  </ItemDefinitionGroup>
  <ItemGroup>
    <ProjectCapability Include="VisualMicro" />
  </ItemGroup>
  <PropertyGroup>
    <DebuggerFlavor>VisualMicroDebugger</DebuggerFlavor>
  </PropertyGroup>
  <ItemGroup>
    <None Include="RedCarpetServer.ino">
      <FileType>CppCode</FileType>
    </None>
  </ItemGroup>
  <ItemGroup>
    <ClInclude Include="__vm\.RedCarpetServer.vsarduino.h" />
  </ItemGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.targets" />
  <ImportGroup Label="ExtensionTargets">
  </ImportGroup>
  <ProjectExtensions>
    <VisualStudio>
      <UserProperties arduino.upload.maximum_size="892912" arduino.upload.speed="921600" visualmicro.package.name="esp8266" arduino.board.property_bag="name=LOLIN(WEMOS) D1 mini Lite&#xD;&#xA;build.board=ESP8266_WEMOS_D1MINILITE&#xD;&#xA;build.variant=d1_mini&#xD;&#xA;upload.tool=esptool&#xD;&#xA;upload.maximum_data_size=81920&#xD;&#xA;upload.wait_for_upload_port=true&#xD;&#xA;upload.erase_cmd=erase_flash&#xD;&#xA;serial.disableDTR=true&#xD;&#xA;serial.disableRTS=true&#xD;&#xA;build.mcu=esp8266&#xD;&#xA;build.core=esp8266&#xD;&#xA;build.spiffs_pagesize=256&#xD;&#xA;build.debug_port=&#xD;&#xA;build.debug_level=&#xD;&#xA;menu.xtal.80=80 MHz&#xD;&#xA;menu.xtal.80.build.f_cpu=80000000L&#xD;&#xA;menu.xtal.160=160 MHz&#xD;&#xA;menu.xtal.160.build.f_cpu=160000000L&#xD;&#xA;menu.vt.flash=Flash&#xD;&#xA;menu.vt.flash.build.vtable_flags=-DVTABLES_IN_FLASH&#xD;&#xA;menu.vt.heap=Heap&#xD;&#xA;menu.vt.heap.build.vtable_flags=-DVTABLES_IN_DRAM&#xD;&#xA;menu.vt.iram=IRAM&#xD;&#xA;menu.vt.iram.build.vtable_flags=-DVTABLES_IN_IRAM&#xD;&#xA;menu.exception.disabled=Disabled&#xD;&#xA;menu.exception.disabled.build.exception_flags=-fno-exceptions&#xD;&#xA;menu.exception.disabled.build.stdcpp_lib=-lstdc++&#xD;&#xA;menu.exception.enabled=Enabled&#xD;&#xA;menu.exception.enabled.build.exception_flags=-fexceptions&#xD;&#xA;menu.exception.enabled.build.stdcpp_lib=-lstdc++-exc&#xD;&#xA;menu.ssl.all=All SSL ciphers (most compatible)&#xD;&#xA;menu.ssl.all.build.sslflags=&#xD;&#xA;menu.ssl.basic=Basic SSL ciphers (lower ROM use)&#xD;&#xA;menu.ssl.basic.build.sslflags=-DBEARSSL_SSL_BASIC&#xD;&#xA;upload.resetmethod=nodemcu&#xD;&#xA;build.flash_mode=dout&#xD;&#xA;build.flash_flags=-DFLASHMODE_DOUT&#xD;&#xA;build.flash_freq=40&#xD;&#xA;menu.eesz.1M=1M (no SPIFFS)&#xD;&#xA;menu.eesz.1M.build.flash_size=1M&#xD;&#xA;menu.eesz.1M.build.flash_size_bytes=0x100000&#xD;&#xA;menu.eesz.1M.build.flash_ld=eagle.flash.1m.ld&#xD;&#xA;menu.eesz.1M.build.spiffs_pagesize=256&#xD;&#xA;menu.eesz.1M.upload.maximum_size=1023984&#xD;&#xA;menu.eesz.1M.build.rfcal_addr=0xFC000&#xD;&#xA;menu.eesz.1M64=1M (64K SPIFFS)&#xD;&#xA;menu.eesz.1M64.build.flash_size=1M&#xD;&#xA;menu.eesz.1M64.build.flash_size_bytes=0x100000&#xD;&#xA;menu.eesz.1M64.build.flash_ld=eagle.flash.1m64.ld&#xD;&#xA;menu.eesz.1M64.build.spiffs_pagesize=256&#xD;&#xA;menu.eesz.1M64.upload.maximum_size=958448&#xD;&#xA;menu.eesz.1M64.build.rfcal_addr=0xFC000&#xD;&#xA;menu.eesz.1M64.build.spiffs_start=0xEB000&#xD;&#xA;menu.eesz.1M64.build.spiffs_end=0xFB000&#xD;&#xA;menu.eesz.1M64.build.spiffs_blocksize=4096&#xD;&#xA;menu.eesz.1M128=1M (128K SPIFFS)&#xD;&#xA;menu.eesz.1M128.build.flash_size=1M&#xD;&#xA;menu.eesz.1M128.build.flash_size_bytes=0x100000&#xD;&#xA;menu.eesz.1M128.build.flash_ld=eagle.flash.1m128.ld&#xD;&#xA;menu.eesz.1M128.build.spiffs_pagesize=256&#xD;&#xA;menu.eesz.1M128.upload.maximum_size=892912&#xD;&#xA;menu.eesz.1M128.build.rfcal_addr=0xFC000&#xD;&#xA;menu.eesz.1M128.build.spiffs_start=0xDB000&#xD;&#xA;menu.eesz.1M128.build.spiffs_end=0xFB000&#xD;&#xA;menu.eesz.1M128.build.spiffs_blocksize=4096&#xD;&#xA;menu.eesz.1M144=1M (144K SPIFFS)&#xD;&#xA;menu.eesz.1M144.build.flash_size=1M&#xD;&#xA;menu.eesz.1M144.build.flash_size_bytes=0x100000&#xD;&#xA;menu.eesz.1M144.build.flash_ld=eagle.flash.1m144.ld&#xD;&#xA;menu.eesz.1M144.build.spiffs_pagesize=256&#xD;&#xA;menu.eesz.1M144.upload.maximum_size=876528&#xD;&#xA;menu.eesz.1M144.build.rfcal_addr=0xFC000&#xD;&#xA;menu.eesz.1M144.build.spiffs_start=0xD7000&#xD;&#xA;menu.eesz.1M144.build.spiffs_end=0xFB000&#xD;&#xA;menu.eesz.1M144.build.spiffs_blocksize=4096&#xD;&#xA;menu.eesz.1M160=1M (160K SPIFFS)&#xD;&#xA;menu.eesz.1M160.build.flash_size=1M&#xD;&#xA;menu.eesz.1M160.build.flash_size_bytes=0x100000&#xD;&#xA;menu.eesz.1M160.build.flash_ld=eagle.flash.1m160.ld&#xD;&#xA;menu.eesz.1M160.build.spiffs_pagesize=256&#xD;&#xA;menu.eesz.1M160.upload.maximum_size=860144&#xD;&#xA;menu.eesz.1M160.build.rfcal_addr=0xFC000&#xD;&#xA;menu.eesz.1M160.build.spiffs_start=0xD3000&#xD;&#xA;menu.eesz.1M160.build.spiffs_end=0xFB000&#xD;&#xA;menu.eesz.1M160.build.spiffs_blocksize=4096&#xD;&#xA;menu.eesz.1M192=1M (192K SPIFFS)&#xD;&#xA;menu.eesz.1M192.build.flash_size=1M&#xD;&#xA;menu.eesz.1M192.build.flash_size_bytes=0x100000&#xD;&#xA;menu.eesz.1M192.build.flash_ld=eagle.flash.1m192.ld&#xD;&#xA;menu.eesz.1M192.build.spiffs_pagesize=256&#xD;&#xA;menu.eesz.1M192.upload.maximum_size=827376&#xD;&#xA;menu.eesz.1M192.build.rfcal_addr=0xFC000&#xD;&#xA;menu.eesz.1M192.build.spiffs_start=0xCB000&#xD;&#xA;menu.eesz.1M192.build.spiffs_end=0xFB000&#xD;&#xA;menu.eesz.1M192.build.spiffs_blocksize=4096&#xD;&#xA;menu.eesz.1M256=1M (256K SPIFFS)&#xD;&#xA;menu.eesz.1M256.build.flash_size=1M&#xD;&#xA;menu.eesz.1M256.build.flash_size_bytes=0x100000&#xD;&#xA;menu.eesz.1M256.build.flash_ld=eagle.flash.1m256.ld&#xD;&#xA;menu.eesz.1M256.build.spiffs_pagesize=256&#xD;&#xA;menu.eesz.1M256.upload.maximum_size=761840&#xD;&#xA;menu.eesz.1M256.build.rfcal_addr=0xFC000&#xD;&#xA;menu.eesz.1M256.build.spiffs_start=0xBB000&#xD;&#xA;menu.eesz.1M256.build.spiffs_end=0xFB000&#xD;&#xA;menu.eesz.1M256.build.spiffs_blocksize=4096&#xD;&#xA;menu.eesz.1M512=1M (512K SPIFFS)&#xD;&#xA;menu.eesz.1M512.build.flash_size=1M&#xD;&#xA;menu.eesz.1M512.build.flash_size_bytes=0x100000&#xD;&#xA;menu.eesz.1M512.build.flash_ld=eagle.flash.1m512.ld&#xD;&#xA;menu.eesz.1M512.build.spiffs_pagesize=256&#xD;&#xA;menu.eesz.1M512.upload.maximum_size=499696&#xD;&#xA;menu.eesz.1M512.build.rfcal_addr=0xFC000&#xD;&#xA;menu.eesz.1M512.build.spiffs_start=0x7B000&#xD;&#xA;menu.eesz.1M512.build.spiffs_end=0xFB000&#xD;&#xA;menu.eesz.1M512.build.spiffs_blocksize=4096&#xD;&#xA;menu.ip.lm2f=v2 Lower Memory&#xD;&#xA;menu.ip.lm2f.build.lwip_include=lwip2/include&#xD;&#xA;menu.ip.lm2f.build.lwip_lib=-llwip2-536-feat&#xD;&#xA;menu.ip.lm2f.build.lwip_flags=-DLWIP_OPEN_SRC -DTCP_MSS=536 -DLWIP_FEATURES=1 -DLWIP_IPV6=0&#xD;&#xA;menu.ip.hb2f=v2 Higher Bandwidth&#xD;&#xA;menu.ip.hb2f.build.lwip_include=lwip2/include&#xD;&#xA;menu.ip.hb2f.build.lwip_lib=-llwip2-1460-feat&#xD;&#xA;menu.ip.hb2f.build.lwip_flags=-DLWIP_OPEN_SRC -DTCP_MSS=1460 -DLWIP_FEATURES=1 -DLWIP_IPV6=0&#xD;&#xA;menu.ip.lm2n=v2 Lower Memory (no features)&#xD;&#xA;menu.ip.lm2n.build.lwip_include=lwip2/include&#xD;&#xA;menu.ip.lm2n.build.lwip_lib=-llwip2-536&#xD;&#xA;menu.ip.lm2n.build.lwip_flags=-DLWIP_OPEN_SRC -DTCP_MSS=536 -DLWIP_FEATURES=0 -DLWIP_IPV6=0&#xD;&#xA;menu.ip.hb2n=v2 Higher Bandwidth (no features)&#xD;&#xA;menu.ip.hb2n.build.lwip_include=lwip2/include&#xD;&#xA;menu.ip.hb2n.build.lwip_lib=-llwip2-1460&#xD;&#xA;menu.ip.hb2n.build.lwip_flags=-DLWIP_OPEN_SRC -DTCP_MSS=1460 -DLWIP_FEATURES=0 -DLWIP_IPV6=0&#xD;&#xA;menu.ip.lm6f=v2 IPv6 Lower Memory&#xD;&#xA;menu.ip.lm6f.build.lwip_include=lwip2/include&#xD;&#xA;menu.ip.lm6f.build.lwip_lib=-llwip6-536-feat&#xD;&#xA;menu.ip.lm6f.build.lwip_flags=-DLWIP_OPEN_SRC -DTCP_MSS=536 -DLWIP_FEATURES=1 -DLWIP_IPV6=1&#xD;&#xA;menu.ip.hb6f=v2 IPv6 Higher Bandwidth&#xD;&#xA;menu.ip.hb6f.build.lwip_include=lwip2/include&#xD;&#xA;menu.ip.hb6f.build.lwip_lib=-llwip6-1460-feat&#xD;&#xA;menu.ip.hb6f.build.lwip_flags=-DLWIP_OPEN_SRC -DTCP_MSS=1460 -DLWIP_FEATURES=1 -DLWIP_IPV6=1&#xD;&#xA;menu.ip.hb1=v1.4 Higher Bandwidth&#xD;&#xA;menu.ip.hb1.build.lwip_lib=-llwip_gcc&#xD;&#xA;menu.ip.hb1.build.lwip_flags=-DLWIP_OPEN_SRC&#xD;&#xA;menu.ip.src=v1.4 Compile from source&#xD;&#xA;menu.ip.src.build.lwip_lib=-llwip_src&#xD;&#xA;menu.ip.src.build.lwip_flags=-DLWIP_OPEN_SRC&#xD;&#xA;menu.ip.src.recipe.hooks.sketch.prebuild.1.pattern=make -C &quot;{runtime.platform.path}/tools/sdk/lwip/src&quot; install TOOLS_PATH=&quot;{runtime.tools.xtensa-lx106-elf-gcc.path}/bin/xtensa-lx106-elf-&quot;&#xD;&#xA;menu.dbg.Disabled=Disabled&#xD;&#xA;menu.dbg.Disabled.build.debug_port=&#xD;&#xA;menu.dbg.Serial=Serial&#xD;&#xA;menu.dbg.Serial.build.debug_port=-DDEBUG_ESP_PORT=Serial&#xD;&#xA;menu.dbg.Serial1=Serial1&#xD;&#xA;menu.dbg.Serial1.build.debug_port=-DDEBUG_ESP_PORT=Serial1&#xD;&#xA;menu.lvl.None____=None&#xD;&#xA;menu.lvl.None____.build.debug_level=&#xD;&#xA;menu.lvl.SSL=SSL&#xD;&#xA;menu.lvl.SSL.build.debug_level=-DDEBUG_ESP_SSL&#xD;&#xA;menu.lvl.TLS_MEM=TLS_MEM&#xD;&#xA;menu.lvl.TLS_MEM.build.debug_level=-DDEBUG_ESP_TLS_MEM&#xD;&#xA;menu.lvl.HTTP_CLIENT=HTTP_CLIENT&#xD;&#xA;menu.lvl.HTTP_CLIENT.build.debug_level=-DDEBUG_ESP_HTTP_CLIENT&#xD;&#xA;menu.lvl.HTTP_SERVER=HTTP_SERVER&#xD;&#xA;menu.lvl.HTTP_SERVER.build.debug_level=-DDEBUG_ESP_HTTP_SERVER&#xD;&#xA;menu.lvl.SSLTLS_MEM=SSL+TLS_MEM&#xD;&#xA;menu.lvl.SSLTLS_MEM.build.debug_level=-DDEBUG_ESP_SSL -DDEBUG_ESP_TLS_MEM&#xD;&#xA;menu.lvl.SSLHTTP_CLIENT=SSL+HTTP_CLIENT&#xD;&#xA;menu.lvl.SSLHTTP_CLIENT.build.debug_level=-DDEBUG_ESP_SSL -DDEBUG_ESP_HTTP_CLIENT&#xD;&#xA;menu.lvl.SSLHTTP_SERVER=SSL+HTTP_SERVER&#xD;&#xA;menu.lvl.SSLHTTP_SERVER.build.debug_level=-DDEBUG_ESP_SSL -DDEBUG_ESP_HTTP_SERVER&#xD;&#xA;menu.lvl.TLS_MEMHTTP_CLIENT=TLS_MEM+HTTP_CLIENT&#xD;&#xA;menu.lvl.TLS_MEMHTTP_CLIENT.build.debug_level=-DDEBUG_ESP_TLS_MEM -DDEBUG_ESP_HTTP_CLIENT&#xD;&#xA;menu.lvl.TLS_MEMHTTP_SERVER=TLS_MEM+HTTP_SERVER&#xD;&#xA;menu.lvl.TLS_MEMHTTP_SERVER.build.debug_level=-DDEBUG_ESP_TLS_MEM -DDEBUG_ESP_HTTP_SERVER&#xD;&#xA;menu.lvl.HTTP_CLIENTHTTP_SERVER=HTTP_CLIENT+HTTP_SERVER&#xD;&#xA;menu.lvl.HTTP_CLIENTHTTP_SERVER.build.debug_level=-DDEBUG_ESP_HTTP_CLIENT -DDEBUG_ESP_HTTP_SERVER&#xD;&#xA;menu.lvl.SSLTLS_MEMHTTP_CLIENT=SSL+TLS_MEM+HTTP_CLIENT&#xD;&#xA;menu.lvl.SSLTLS_MEMHTTP_CLIENT.build.debug_level=-DDEBUG_ESP_SSL -DDEBUG_ESP_TLS_MEM -DDEBUG_ESP_HTTP_CLIENT&#xD;&#xA;menu.lvl.SSLTLS_MEMHTTP_SERVER=SSL+TLS_MEM+HTTP_SERVER&#xD;&#xA;menu.lvl.SSLTLS_MEMHTTP_SERVER.build.debug_level=-DDEBUG_ESP_SSL -DDEBUG_ESP_TLS_MEM -DDEBUG_ESP_HTTP_SERVER&#xD;&#xA;menu.lvl.SSLHTTP_CLIENTHTTP_SERVER=SSL+HTTP_CLIENT+HTTP_SERVER&#xD;&#xA;menu.lvl.SSLHTTP_CLIENTHTTP_SERVER.build.debug_level=-DDEBUG_ESP_SSL -DDEBUG_ESP_HTTP_CLIENT -DDEBUG_ESP_HTTP_SERVER&#xD;&#xA;menu.lvl.TLS_MEMHTTP_CLIENTHTTP_SERVER=TLS_MEM+HTTP_CLIENT+HTTP_SERVER&#xD;&#xA;menu.lvl.TLS_MEMHTTP_CLIENTHTTP_SERVER.build.debug_level=-DDEBUG_ESP_TLS_MEM -DDEBUG_ESP_HTTP_CLIENT -DDEBUG_ESP_HTTP_SERVER&#xD;&#xA;menu.lvl.SSLTLS_MEMHTTP_CLIENTHTTP_SERVER=SSL+TLS_MEM+HTTP_CLIENT+HTTP_SERVER&#xD;&#xA;menu.lvl.SSLTLS_MEMHTTP_CLIENTHTTP_SERVER.build.debug_level=-DDEBUG_ESP_SSL -DDEBUG_ESP_TLS_MEM -DDEBUG_ESP_HTTP_CLIENT -DDEBUG_ESP_HTTP_SERVER&#xD;&#xA;menu.lvl.CORE=CORE&#xD;&#xA;menu.lvl.CORE.build.debug_level=-DDEBUG_ESP_CORE&#xD;&#xA;menu.lvl.WIFI=WIFI&#xD;&#xA;menu.lvl.WIFI.build.debug_level=-DDEBUG_ESP_WIFI&#xD;&#xA;menu.lvl.HTTP_UPDATE=HTTP_UPDATE&#xD;&#xA;menu.lvl.HTTP_UPDATE.build.debug_level=-DDEBUG_ESP_HTTP_UPDATE&#xD;&#xA;menu.lvl.UPDATER=UPDATER&#xD;&#xA;menu.lvl.UPDATER.build.debug_level=-DDEBUG_ESP_UPDATER&#xD;&#xA;menu.lvl.OTA=OTA&#xD;&#xA;menu.lvl.OTA.build.debug_level=-DDEBUG_ESP_OTA&#xD;&#xA;menu.lvl.OOM=OOM&#xD;&#xA;menu.lvl.OOM.build.debug_level=-DDEBUG_ESP_OOM&#xD;&#xA;menu.lvl.COREWIFIHTTP_UPDATEUPDATEROTAOOM=CORE+WIFI+HTTP_UPDATE+UPDATER+OTA+OOM&#xD;&#xA;menu.lvl.COREWIFIHTTP_UPDATEUPDATEROTAOOM.build.debug_level=-DDEBUG_ESP_CORE -DDEBUG_ESP_WIFI -DDEBUG_ESP_HTTP_UPDATE -DDEBUG_ESP_UPDATER -DDEBUG_ESP_OTA -DDEBUG_ESP_OOM&#xD;&#xA;menu.lvl.SSLTLS_MEMHTTP_CLIENTHTTP_SERVERCOREWIFIHTTP_UPDATEUPDATEROTAOOM=SSL+TLS_MEM+HTTP_CLIENT+HTTP_SERVER+CORE+WIFI+HTTP_UPDATE+UPDATER+OTA+OOM&#xD;&#xA;menu.lvl.SSLTLS_MEMHTTP_CLIENTHTTP_SERVERCOREWIFIHTTP_UPDATEUPDATEROTAOOM.build.debug_level=-DDEBUG_ESP_SSL -DDEBUG_ESP_TLS_MEM -DDEBUG_ESP_HTTP_CLIENT -DDEBUG_ESP_HTTP_SERVER -DDEBUG_ESP_CORE -DDEBUG_ESP_WIFI -DDEBUG_ESP_HTTP_UPDATE -DDEBUG_ESP_UPDATER -DDEBUG_ESP_OTA -DDEBUG_ESP_OOM&#xD;&#xA;menu.lvl.NoAssert-NDEBUG=NoAssert-NDEBUG&#xD;&#xA;menu.lvl.NoAssert-NDEBUG.build.debug_level=-DNDEBUG&#xD;&#xA;menu.wipe.none=Only Sketch&#xD;&#xA;menu.wipe.none.upload.erase_cmd=version&#xD;&#xA;menu.wipe.sdk=Sketch + WiFi Settings&#xD;&#xA;menu.wipe.sdk.upload.erase_cmd=erase_region &quot;{build.rfcal_addr}&quot; 0x4000&#xD;&#xA;menu.wipe.all=All Flash Contents&#xD;&#xA;menu.wipe.all.upload.erase_cmd=erase_flash&#xD;&#xA;menu.baud.921600=921600&#xD;&#xA;menu.baud.921600.upload.speed=921600&#xD;&#xA;menu.baud.9600=9600&#xD;&#xA;menu.baud.9600.upload.speed=9600&#xD;&#xA;menu.baud.57600=57600&#xD;&#xA;menu.baud.57600.upload.speed=57600&#xD;&#xA;menu.baud.115200=115200&#xD;&#xA;menu.baud.115200.upload.speed=115200&#xD;&#xA;menu.baud.230400.linux=230400&#xD;&#xA;menu.baud.230400.macosx=230400&#xD;&#xA;menu.baud.230400.upload.speed=230400&#xD;&#xA;menu.baud.256000.windows=256000&#xD;&#xA;menu.baud.256000.upload.speed=256000&#xD;&#xA;menu.baud.460800.linux=460800&#xD;&#xA;menu.baud.460800.macosx=460800&#xD;&#xA;menu.baud.460800.upload.speed=460800&#xD;&#xA;menu.baud.512000.windows=512000&#xD;&#xA;menu.baud.512000.upload.speed=512000&#xD;&#xA;menu.baud.256000=256000&#xD;&#xA;menu.baud.512000=512000&#xD;&#xA;runtime.ide.path=C:\Program Files (x86)\Arduino&#xD;&#xA;runtime.os=windows&#xD;&#xA;build.system.path=C:\Users\Thk\AppData\Local\arduino15\packages\esp8266\hardware\esp8266\2.5.1\system&#xD;&#xA;runtime.ide.version=10809&#xD;&#xA;target_package=esp8266&#xD;&#xA;target_platform=esp8266&#xD;&#xA;runtime.hardware.path=C:\Users\Thk\AppData\Local\arduino15\packages\esp8266\hardware\esp8266&#xD;&#xA;originalid=d1_mini_lite&#xD;&#xA;intellisense.tools.path={compiler.toolchain.path}&#xD;&#xA;intellisense.include.paths={runtime.tools.xtensa-lx106-elf-gcc.path}\xtensa-lx106-elf\include\c++\4.8.2;{runtime.tools.xtensa-lx106-elf-gcc.path}\xtensa-lx106-elf\include\c++\4.8.2\xtensa-lx106-elf;{runtime.tools.xtensa-lx106-elf-gcc.path}\xtensa-lx106-elf\include;{runtime.tools.xtensa-lx106-elf-gcc.path}\lib\gcc\xtensa-lx106-elf\4.8.2\include;{runtime.platform.path}\tools\sdk\include&#xD;&#xA;tools.wwwfiles.name=ESP8266 Sketch Data Upload&#xD;&#xA;tools.wwwfiles.ssh=false&#xD;&#xA;tools.wwwfiles.cmd.windows=ESP8266FSUpload.exe&#xD;&#xA;recipe.wwwfiles.upload.pattern=&quot;{vm.path}/{tools.wwwfiles.cmd}&quot; -serial.port={serial.port} -build.path=&quot;{build.path}&quot; -target_platform=&quot;{target_platform}&quot; -runtime.tools.mkspiffs.path=&quot;{runtime.tools.mkspiffs.path}&quot; -board.name=&quot;{name}&quot; -upload.verbose={upload.verbose} -upload.resetmethod={upload.resetmethod} -upload.speed={upload.speed}  -platform.path=&quot;{platform.path}&quot; -project.name=&quot;{project.name}&quot; -project.path=&quot;{project.path}&quot; -tools.esptool.cmd=&quot;{tools.esptool.cmd}&quot; -runtime.tools.esptool.path=&quot;{runtime.tools.esptool.path}&quot; -compiler.path=&quot;{compiler.path}&quot; -build.spiffs_start=&quot;{build.spiffs_start}&quot; -build.spiffs_end=&quot;{build.spiffs_end}&quot; -build.spiffs_pagesize=&quot;{build.spiffs_pagesize}&quot; -build.spiffs_blocksize=&quot;{build.spiffs_blocksize}&quot; -network.password={network.password} -network.auth_upload={network.auth_upload} -network.port={network.port}&#xD;&#xA;exceptions.serial.enabled=true&#xD;&#xA;exceptions.serial.messages={vm.platform.root.path}/hardware/esp8266/exceptions.txt&#xD;&#xA;exceptions.serial.regex.exception_number=Exception \(([0-9]*)\):&#xD;&#xA;exceptions.serial.regex.stack_addresses=40[0-2][0-9a-f]{5}\b&#xD;&#xA;exceptions.serial.resolve.addr2line.args=-aipfC -e&quot;{build.path}/{build.project_name}.elf&quot;&#xD;&#xA;exceptions.serial.resolve.addr2line.cmd=xtensa-lx106-elf-addr2line&#xD;&#xA;exceptions.serial.resolve.stack_addresses.pattern=&quot;{compiler.path}{addr2line.cmd}&quot; {addr2line.args} {stack_addresses.list}&#xD;&#xA;upload.8dot3=false&#xD;&#xA;upload.verbose_disabled=true&#xD;&#xA;tools.gdbstub.cmd=xtensa-lx106-elf-gdb.exe&#xD;&#xA;tools.gdbstub.path={runtime.tools.xtensa-lx106-elf-gcc.path}/bin&#xD;&#xA;tools.gdbstub.debug.args=-ex &quot;set remote hardware-breakpoint-limit 1&quot; -ex &quot;set remote hardware-watchpoint-limit 1&quot; -ex &quot;set remote interrupt-on-connect on&quot; -ex &quot;set remote kill-packet off&quot; -ex &quot;set remote symbol-lookup-packet off&quot; -ex &quot;set remote verbose-resume-packet off&quot; -ex &quot;mem 0x20000000 0x3fefffff ro cache&quot; -ex &quot;mem 0x3ff00000 0x3fffffff rw&quot; -ex &quot;mem 0x40000000 0x400fffff ro cache&quot; -ex &quot;mem 0x40100000 0x4013ffff rw cache&quot; -ex &quot;mem 0x40140000 0x5fffffff ro cache&quot; -ex &quot;mem 0x60000000 0x60001fff rw&quot; -ex &quot;set serial baud 115200&quot; -ex &quot;target remote \\.\{serial.port}&quot; -ex &quot;file {{{build.path}/{build.project_name}.elf}}&quot;&#xD;&#xA;debug_menu.debugger_type.hwdebugger=Hardware&#xD;&#xA;debug_menu.hwdebugger=Debugger&#xD;&#xA;debug_menu.hwdebugger.gdbstub=GDB Stub&#xD;&#xA;debug_menu.hwdebugger.gdbstub.debug.tool=gdbstub&#xD;&#xA;meta_gdbstub.sentence=This debugger requires the esp8266 2.5.0+ Core to be installed (install/update via Boards Manager).&#xD;&#xA;meta_gdbstub.comment=To use this debugger, include the &lt;GDBStub.h&gt;, add 'debug_init();' to setup(). Set vMicro &gt; Debugger &gt; 'Compiler Optimization' to 'No Project', 'No Project + Libraries' or 'None' when debugging. (NOTE: Changing the optimization setting for this platform might cause compilation errors with certain code such as HardwareSerial.)&#xD;&#xA;meta_gdbstub.image.connect=https://www.visualmicro.com/pics/Debug-Break-ESP8266Huzzah_USBOnly.png&#xD;&#xA;meta_gdbstub.image.operation=https://www.visualmicro.com/pics/Debug-Break-ESP8266-GDBStub-VSOnly.png&#xD;&#xA;meta_gdbstub.reference.usage.url=https://www.visualmicro.com/page/User-Guide.aspx?doc=Arduino-gdb-Tutorial.html&#xD;&#xA;tools.wwwfiles.cmd=ESP8266FSUpload.exe&#xD;&#xA;version=2.5.1&#xD;&#xA;runtime.tools.signing={runtime.platform.path}/tools/signing.py&#xD;&#xA;runtime.tools.elf2bin={runtime.platform.path}/tools/elf2bin.py&#xD;&#xA;runtime.tools.makecorever={runtime.platform.path}/tools/makecorever.py&#xD;&#xA;runtime.tools.eboot={runtime.platform.path}/bootloaders/eboot/eboot.elf&#xD;&#xA;compiler.warning_flags=-w&#xD;&#xA;compiler.warning_flags.none=-w&#xD;&#xA;compiler.warning_flags.default=&#xD;&#xA;compiler.warning_flags.more=-Wall&#xD;&#xA;compiler.warning_flags.all=-Wall -Wextra&#xD;&#xA;build.lwip_lib=-llwip2-536-feat&#xD;&#xA;build.lwip_include=lwip2/include&#xD;&#xA;build.lwip_flags=-DLWIP_OPEN_SRC -DTCP_MSS=536 -DLWIP_FEATURES=1 -DLWIP_IPV6=0&#xD;&#xA;build.vtable_flags=-DVTABLES_IN_FLASH&#xD;&#xA;build.sslflags=&#xD;&#xA;build.exception_flags=-fno-exceptions&#xD;&#xA;build.stdcpp_lib=-lstdc++&#xD;&#xA;build.float=-u _printf_float -u _scanf_float&#xD;&#xA;build.led=&#xD;&#xA;build.sdk=NONOSDK221&#xD;&#xA;compiler.path={runtime.tools.xtensa-lx106-elf-gcc.path}/bin/&#xD;&#xA;compiler.sdk.path={runtime.platform.path}/tools/sdk&#xD;&#xA;compiler.libc.path={runtime.platform.path}/tools/sdk/libc/xtensa-lx106-elf&#xD;&#xA;compiler.cpreprocessor.flags=-D__ets__ -DICACHE_FLASH -U__STRICT_ANSI__ &quot;-I{compiler.sdk.path}/include&quot; &quot;-I{compiler.sdk.path}/{build.lwip_include}&quot; &quot;-I{compiler.libc.path}/include&quot; &quot;-I{build.path}/core&quot;&#xD;&#xA;compiler.c.cmd=xtensa-lx106-elf-gcc&#xD;&#xA;compiler.c.flags=-c {compiler.warning_flags} -Os -g -Wpointer-arith -Wno-implicit-function-declaration -Wl,-EL -fno-inline-functions -nostdlib -mlongcalls -mtext-section-literals -falign-functions=4 -MMD -std=gnu99 -ffunction-sections -fdata-sections {build.exception_flags} {build.sslflags}&#xD;&#xA;compiler.S.cmd=xtensa-lx106-elf-gcc&#xD;&#xA;compiler.S.flags=-c -g -x assembler-with-cpp -MMD -mlongcalls&#xD;&#xA;compiler.c.elf.flags=-g {compiler.warning_flags} -Os -nostdlib -Wl,--no-check-sections -u app_entry {build.float} -Wl,-static &quot;-L{compiler.sdk.path}/lib&quot; &quot;-L{compiler.sdk.path}/lib/{build.sdk}&quot; &quot;-L{compiler.sdk.path}/ld&quot; &quot;-L{compiler.libc.path}/lib&quot; &quot;-T{build.flash_ld}&quot; -Wl,--gc-sections -Wl,-wrap,system_restart_local -Wl,-wrap,spi_flash_read&#xD;&#xA;compiler.c.elf.cmd=xtensa-lx106-elf-gcc&#xD;&#xA;compiler.c.elf.libs=-lhal -lphy -lpp -lnet80211 {build.lwip_lib} -lwpa -lcrypto -lmain -lwps -lbearssl -laxtls -lespnow -lsmartconfig -lairkiss -lwpa2 {build.stdcpp_lib} -lm -lc -lgcc&#xD;&#xA;compiler.cpp.cmd=xtensa-lx106-elf-g++&#xD;&#xA;compiler.cpp.flags=-c {compiler.warning_flags} -Os -g -mlongcalls -mtext-section-literals -fno-rtti -falign-functions=4 -std=c++11 -MMD -ffunction-sections -fdata-sections {build.exception_flags} {build.sslflags}&#xD;&#xA;compiler.as.cmd=xtensa-lx106-elf-as&#xD;&#xA;compiler.ar.cmd=xtensa-lx106-elf-ar&#xD;&#xA;compiler.ar.flags=cru&#xD;&#xA;compiler.elf2hex.cmd=esptool&#xD;&#xA;compiler.elf2hex.flags=&#xD;&#xA;compiler.size.cmd=xtensa-lx106-elf-size&#xD;&#xA;build.extra_flags=-DESP8266&#xD;&#xA;compiler.c.extra_flags=&#xD;&#xA;compiler.c.elf.extra_flags=&#xD;&#xA;compiler.S.extra_flags=&#xD;&#xA;compiler.cpp.extra_flags=&#xD;&#xA;compiler.ar.extra_flags=&#xD;&#xA;compiler.objcopy.eep.extra_flags=&#xD;&#xA;compiler.elf2hex.extra_flags=&#xD;&#xA;recipe.hooks.core.prebuild.1.pattern=&quot;{runtime.tools.python.path}/python&quot; &quot;{runtime.tools.signing}&quot; --mode header --publickey &quot;{build.source.path}/public.key&quot; --out &quot;{build.path}/core/Updater_Signing.h&quot;&#xD;&#xA;recipe.hooks.linking.prelink.1.pattern=&quot;{compiler.path}{compiler.c.cmd}&quot; -CC -E -P {build.vtable_flags} &quot;{runtime.platform.path}/tools/sdk/ld/eagle.app.v6.common.ld.h&quot; -o &quot;{build.path}/local.eagle.app.v6.common.ld&quot;&#xD;&#xA;recipe.c.o.pattern=&quot;{compiler.path}{compiler.c.cmd}&quot; {compiler.cpreprocessor.flags} {compiler.c.flags} -D{build.sdk}=1 -DF_CPU={build.f_cpu} {build.lwip_flags} {build.debug_port} {build.debug_level} -DARDUINO={runtime.ide.version} -DARDUINO_{build.board} -DARDUINO_ARCH_{build.arch} -DARDUINO_BOARD=&quot;{build.board}&quot; {build.led} {build.flash_flags} {compiler.c.extra_flags} {build.extra_flags} {includes} &quot;{source_file}&quot; -o &quot;{object_file}&quot;&#xD;&#xA;recipe.cpp.o.pattern=&quot;{compiler.path}{compiler.cpp.cmd}&quot; {compiler.cpreprocessor.flags} {compiler.cpp.flags} -D{build.sdk}=1 -DF_CPU={build.f_cpu} {build.lwip_flags} {build.debug_port} {build.debug_level} -DARDUINO={runtime.ide.version} -DARDUINO_{build.board} -DARDUINO_ARCH_{build.arch} -DARDUINO_BOARD=&quot;{build.board}&quot; {build.led} {build.flash_flags} {compiler.cpp.extra_flags} {build.extra_flags} {includes} &quot;{source_file}&quot; -o &quot;{object_file}&quot;&#xD;&#xA;recipe.S.o.pattern=&quot;{compiler.path}{compiler.c.cmd}&quot; {compiler.cpreprocessor.flags} {compiler.S.flags} -D{build.sdk}=1 -DF_CPU={build.f_cpu} {build.lwip_flags} {build.debug_port} {build.debug_level} -DARDUINO={runtime.ide.version} -DARDUINO_{build.board} -DARDUINO_ARCH_{build.arch} -DARDUINO_BOARD=&quot;{build.board}&quot; {build.led} {build.flash_flags} {compiler.c.extra_flags} {build.extra_flags} {includes} &quot;{source_file}&quot; -o &quot;{object_file}&quot;&#xD;&#xA;recipe.ar.pattern=&quot;{compiler.path}{compiler.ar.cmd}&quot; {compiler.ar.flags} {compiler.ar.extra_flags} &quot;{archive_file_path}&quot; &quot;{object_file}&quot;&#xD;&#xA;recipe.c.combine.pattern=&quot;{compiler.path}{compiler.c.elf.cmd}&quot; {build.exception_flags} -Wl,-Map &quot;-Wl,{build.path}/{build.project_name}.map&quot; {compiler.c.elf.flags} {compiler.c.elf.extra_flags} -o &quot;{build.path}/{build.project_name}.elf&quot; -Wl,--start-group {object_files} &quot;{archive_file_path}&quot; {compiler.c.elf.libs} -Wl,--end-group  &quot;-L{build.path}&quot;&#xD;&#xA;recipe.objcopy.eep.pattern=&#xD;&#xA;recipe.objcopy.hex.1.pattern=&quot;{runtime.tools.python.path}/python&quot; &quot;{runtime.tools.elf2bin}&quot; --eboot &quot;{runtime.tools.eboot}&quot; --app &quot;{build.path}/{build.project_name}.elf&quot; --flash_mode {build.flash_mode} --flash_freq {build.flash_freq} --flash_size {build.flash_size} --path &quot;{runtime.tools.xtensa-lx106-elf-gcc.path}/bin&quot; --out &quot;{build.path}/{build.project_name}.bin&quot;&#xD;&#xA;recipe.objcopy.hex.2.pattern=&quot;{runtime.tools.python.path}/python&quot; &quot;{runtime.tools.signing}&quot; --mode sign --privatekey &quot;{build.source.path}/private.key&quot; --bin &quot;{build.path}/{build.project_name}.bin&quot; --out &quot;{build.path}/{build.project_name}.bin.signed&quot;&#xD;&#xA;recipe.output.tmp_file={build.project_name}.bin&#xD;&#xA;recipe.output.save_file={build.project_name}.{build.variant}.bin&#xD;&#xA;recipe.size.pattern=&quot;{compiler.path}{compiler.size.cmd}&quot; -A &quot;{build.path}/{build.project_name}.elf&quot;&#xD;&#xA;recipe.size.regex=^(?:\.irom0\.text|\.text|\.text1|\.data|\.rodata|)\s+([0-9]+).*&#xD;&#xA;recipe.size.regex.data=^(?:\.data|\.rodata|\.bss)\s+([0-9]+).*&#xD;&#xA;tools.esptool.path=&#xD;&#xA;tools.esptool.cmd={runtime.tools.python.path}/python&#xD;&#xA;tools.esptool.network_cmd={runtime.tools.python.path}/python&#xD;&#xA;tools.esptool.upload.protocol=esp&#xD;&#xA;tools.esptool.upload.params.verbose=--trace&#xD;&#xA;tools.esptool.upload.params.quiet=&#xD;&#xA;tools.esptool.upload.pattern=&quot;{cmd}&quot; &quot;{runtime.platform.path}/tools/upload.py&quot; --chip esp8266 --port &quot;{serial.port}&quot; --baud &quot;{upload.speed}&quot; &quot;{upload.verbose}&quot; {upload.erase_cmd} --end --chip esp8266 --port &quot;{serial.port}&quot; --baud &quot;{upload.speed}&quot; &quot;{upload.verbose}&quot; write_flash 0x0 &quot;{build.path}/{build.project_name}.bin&quot; --end&#xD;&#xA;tools.esptool.upload.network_pattern=&quot;{network_cmd}&quot; &quot;{runtime.platform.path}/tools/espota.py&quot; -i &quot;{serial.port}&quot; -p &quot;{network.port}&quot; &quot;--auth={network.password}&quot; -f &quot;{build.path}/{build.project_name}.bin&quot;&#xD;&#xA;tools.mkspiffs.cmd=mkspiffs.exe&#xD;&#xA;tools.mkspiffs.cmd.windows=mkspiffs.exe&#xD;&#xA;tools.mkspiffs.path={runtime.tools.mkspiffs.path}&#xD;&#xA;vm.platform.root.path=c:\program files (x86)\microsoft visual studio\2017\community\common7\ide\extensions\ed2mmpmr.3jk\Micro Platforms\arduino19x&#xD;&#xA;runtime.tools.xtensa-lx106-elf-gcc.path=C:\Users\Thk\AppData\Local\arduino15\packages\esp8266\tools\xtensa-lx106-elf-gcc\2.5.0-3-20ed2b9&#xD;&#xA;runtime.tools.xtensa-lx106-elf-gcc-2.5.0-3-20ed2b9.path=C:\Users\Thk\AppData\Local\arduino15\packages\esp8266\tools\xtensa-lx106-elf-gcc\2.5.0-3-20ed2b9&#xD;&#xA;runtime.tools.mkspiffs.path=C:\Users\Thk\AppData\Local\arduino15\packages\esp8266\tools\mkspiffs\2.5.0-3-20ed2b9&#xD;&#xA;runtime.tools.mkspiffs-2.5.0-3-20ed2b9.path=C:\Users\Thk\AppData\Local\arduino15\packages\esp8266\tools\mkspiffs\2.5.0-3-20ed2b9&#xD;&#xA;runtime.tools.python.path=C:\Users\Thk\AppData\Local\arduino15\packages\esp8266\tools\python\3.7.2-post1&#xD;&#xA;runtime.tools.python-3.7.2-post1.path=C:\Users\Thk\AppData\Local\arduino15\packages\esp8266\tools\python\3.7.2-post1&#xD;&#xA;runtime.tools.arduinoOTA.path=C:\Users\Thk\AppData\Local\arduino15\packages\arduino\tools\arduinoOTA\1.2.0&#xD;&#xA;runtime.tools.arduinoOTA-1.2.0.path=C:\Users\Thk\AppData\Local\arduino15\packages\arduino\tools\arduinoOTA\1.2.0&#xD;&#xA;runtime.tools.arduinoOTA-1.2.1.path=C:\Program Files (x86)\Arduino\hardware\tools\avr&#xD;&#xA;runtime.tools.arm-none-eabi-gcc.path=C:\Users\Thk\AppData\Local\arduino15\packages\STM32\tools\arm-none-eabi-gcc\6-2017-q2-update&#xD;&#xA;runtime.tools.arm-none-eabi-gcc-4.8.3-2014q1.path=C:\Users\Thk\AppData\Local\arduino15\packages\arduino\tools\arm-none-eabi-gcc\4.8.3-2014q1&#xD;&#xA;runtime.tools.arm-none-eabi-gcc-6-2017-q2-update.path=C:\Users\Thk\AppData\Local\arduino15\packages\STM32\tools\arm-none-eabi-gcc\6-2017-q2-update&#xD;&#xA;runtime.tools.avrdude.path=C:\Users\Thk\AppData\Local\arduino15\packages\arduino\tools\avrdude\6.3.0-arduino17&#xD;&#xA;runtime.tools.avrdude-6.3.0-arduino14.path=C:\Program Files (x86)\Arduino\hardware\tools\avr&#xD;&#xA;runtime.tools.avrdude-6.3.0-arduino17.path=C:\Users\Thk\AppData\Local\arduino15\packages\arduino\tools\avrdude\6.3.0-arduino17&#xD;&#xA;runtime.tools.avr-gcc.path=C:\Users\Thk\AppData\Local\arduino15\packages\arduino\tools\avr-gcc\7.3.0-atmel3.6.1-arduino5&#xD;&#xA;runtime.tools.avr-gcc-5.4.0-atmel3.6.1-arduino2.path=C:\Program Files (x86)\Arduino\hardware\tools\avr&#xD;&#xA;runtime.tools.avr-gcc-7.3.0-atmel3.6.1-arduino5.path=C:\Users\Thk\AppData\Local\arduino15\packages\arduino\tools\avr-gcc\7.3.0-atmel3.6.1-arduino5&#xD;&#xA;runtime.tools.bossac.path=C:\Users\Thk\AppData\Local\arduino15\packages\arduino\tools\bossac\1.8.0-48-gb176eee&#xD;&#xA;runtime.tools.bossac-1.7.0.path=C:\Users\Thk\AppData\Local\arduino15\packages\arduino\tools\bossac\1.7.0&#xD;&#xA;runtime.tools.bossac-1.8.0-48-gb176eee.path=C:\Users\Thk\AppData\Local\arduino15\packages\arduino\tools\bossac\1.8.0-48-gb176eee&#xD;&#xA;runtime.tools.CMSIS.path=C:\Users\Thk\AppData\Local\arduino15\packages\STM32\tools\CMSIS\5.3.0&#xD;&#xA;runtime.tools.CMSIS-4.5.0.path=C:\Users\Thk\AppData\Local\arduino15\packages\arduino\tools\CMSIS\4.5.0&#xD;&#xA;runtime.tools.CMSIS-5.3.0.path=C:\Users\Thk\AppData\Local\arduino15\packages\STM32\tools\CMSIS\5.3.0&#xD;&#xA;runtime.tools.CMSIS-Atmel.path=C:\Users\Thk\AppData\Local\arduino15\packages\arduino\tools\CMSIS-Atmel\1.2.0&#xD;&#xA;runtime.tools.CMSIS-Atmel-1.1.0.path=C:\Users\Thk\AppData\Local\arduino15\packages\arduino\tools\CMSIS-Atmel\1.1.0&#xD;&#xA;runtime.tools.CMSIS-Atmel-1.2.0.path=C:\Users\Thk\AppData\Local\arduino15\packages\arduino\tools\CMSIS-Atmel\1.2.0&#xD;&#xA;runtime.tools.esptool_py.path=C:\Users\Thk\AppData\Local\arduino15\packages\esp32\tools\esptool_py\2.6.0&#xD;&#xA;runtime.tools.esptool_py-2.6.0.path=C:\Users\Thk\AppData\Local\arduino15\packages\esp32\tools\esptool_py\2.6.0&#xD;&#xA;runtime.tools.mkspiffs-0.2.3.path=C:\Users\Thk\AppData\Local\arduino15\packages\esp32\tools\mkspiffs\0.2.3&#xD;&#xA;runtime.tools.openocd.path=C:\Users\Thk\AppData\Local\arduino15\packages\arduino\tools\openocd\0.9.0-arduino6-static&#xD;&#xA;runtime.tools.openocd-0.9.0-arduino.path=C:\Users\Thk\AppData\Local\arduino15\packages\arduino\tools\openocd\0.9.0-arduino&#xD;&#xA;runtime.tools.openocd-0.9.0-arduino6-static.path=C:\Users\Thk\AppData\Local\arduino15\packages\arduino\tools\openocd\0.9.0-arduino6-static&#xD;&#xA;runtime.tools.STM32Tools.path=C:\Users\Thk\AppData\Local\arduino15\packages\STM32\tools\STM32Tools\1.2.0&#xD;&#xA;runtime.tools.STM32Tools-1.2.0.path=C:\Users\Thk\AppData\Local\arduino15\packages\STM32\tools\STM32Tools\1.2.0&#xD;&#xA;runtime.tools.tools-avr.path=C:\Program Files (x86)\Arduino\hardware\tools\avr&#xD;&#xA;runtime.tools.xtensa-esp32-elf-gcc.path=C:\Users\Thk\AppData\Local\arduino15\packages\esp32\tools\xtensa-esp32-elf-gcc\1.22.0-80-g6c4433a-5.2.0&#xD;&#xA;runtime.tools.xtensa-esp32-elf-gcc-1.22.0-80-g6c4433a-5.2.0.path=C:\Users\Thk\AppData\Local\arduino15\packages\esp32\tools\xtensa-esp32-elf-gcc\1.22.0-80-g6c4433a-5.2.0&#xD;&#xA;runtime.vm.boardinfo.id=esp8266_d1_mini_lite&#xD;&#xA;runtime.vm.boardinfo.name=esp8266_d1_mini_lite&#xD;&#xA;runtime.vm.boardinfo.desc=LOLIN(WEMOS) D1 mini Lite&#xD;&#xA;runtime.vm.boardinfo.src_location=C:\Users\Thk\AppData\Local\arduino15\packages\esp8266\hardware\esp8266\2.5.1&#xD;&#xA;ide.hint=Use installed IDE. Provides built-in hardware, reference/help and libraries.&#xD;&#xA;ide.location.key=Arduino19x&#xD;&#xA;ide.location.ide.winreg=Arduino 1.9.x Application&#xD;&#xA;ide.location.sketchbook.winreg=Arduino 1.9.x Sketchbook&#xD;&#xA;ide.location.sketchbook.preferences=sketchbook.path&#xD;&#xA;ide.default.revision_name=1.9.0&#xD;&#xA;ide.default.version=10900&#xD;&#xA;ide.default.package=arduino&#xD;&#xA;ide.default.platform=avr&#xD;&#xA;ide.multiplatform=true&#xD;&#xA;ide.includes=Arduino.h&#xD;&#xA;ide.exe_name=arduino&#xD;&#xA;ide.recipe.preproc.defines.flags=-w -x c++ -E -dM&#xD;&#xA;ide.platformswithoutpackage=false&#xD;&#xA;ide.includes.fallback=wprogram.h&#xD;&#xA;ide.extension=ino&#xD;&#xA;ide.extension.fallback=pde&#xD;&#xA;ide.versionGTEQ=190&#xD;&#xA;ide.exe=arduino.exe&#xD;&#xA;ide.builder.exe=arduinobuilder.exe&#xD;&#xA;ide.builder.name=Arduino Builder&#xD;&#xA;ide.hosts=atmel&#xD;&#xA;ide.url=http://arduino.cc/en/Main/Software&#xD;&#xA;ide.help.reference.path=reference&#xD;&#xA;ide.help.reference.path2=reference\www.arduino.cc\en\Reference&#xD;&#xA;ide.help.reference.serial=reference\www.arduino.cc\en\Serial&#xD;&#xA;ide.location.preferences.portable={runtime.ide.path}\portable&#xD;&#xA;ide.location.preferences.arduinoData={runtime.sketchbook.path}\ArduinoData&#xD;&#xA;ide.location.preferences=%VM_APPDATA_LOCAL%\arduino15\preferences.txt&#xD;&#xA;ide.location.preferences_fallback=%VM_APPDATA_ROAMING%\arduino15\preferences.txt&#xD;&#xA;ide.location.contributions=%VM_APPDATA_LOCAL%\arduino15&#xD;&#xA;ide.location.contributions_fallback=%VM_APPDATA_ROAMING%\arduino15&#xD;&#xA;ide.contributions.boards.allow=true&#xD;&#xA;ide.contributions.boards.ignore_unless_rewrite_found=true&#xD;&#xA;ide.contributions.libraries.allow=true&#xD;&#xA;ide.contributions.boards.support.urls.wiki=https://github.com/arduino/Arduino/wiki/Unofficial-list-of-3rd-party-boards-support-urls&#xD;&#xA;ide.create_platforms_from_boardsTXT.teensy=build.core&#xD;&#xA;vm.debug=true&#xD;&#xA;software=ARDUINO&#xD;&#xA;ssh.user.name=root&#xD;&#xA;ssh.user.default.password=arduino&#xD;&#xA;ssh.host.wwwfiles.path=/www/sd&#xD;&#xA;build.working_directory={runtime.ide.path}\java\bin&#xD;&#xA;ide.debug_menu.debugger_type=Debug&#xD;&#xA;ide.debug_menu.debugger_type.none=Off&#xD;&#xA;ide.debug_menu.none.debug.tool=no_debug&#xD;&#xA;ide.debug_menu.debugger_type.universal=Serial&#xD;&#xA;ide.debug_menu.universal.debug.tool=auto&#xD;&#xA;ide.debug_menu.debugger_type.hwdebugger=Hardware&#xD;&#xA;ide.debug_menu.hwdebugger=Debugger&#xD;&#xA;ide.debug_menu.hwdebugger.custom_debugger=Manual/Custom&#xD;&#xA;ide.debug_menu.hwdebugger.custom_debugger.debug.tool=dbg_external&#xD;&#xA;ide.meta_custom_debugger.sentence=Provides a build that includes debug defines and will launch a custom debugger if one is provided.&#xD;&#xA;ide.meta_custom_debugger.paragraph=This is option is for advanced use. It is recommended that a pre-configured debugger be selected when available in this list. Usage: Optionally add a customer debugger to the project. A 'debugger_launch.json' file shares the same command syntax that is used by the VsCode debugger. Custom debuggers can be targeted at a board and/or variant and/or configuration name. IE: [variant].[configuration_name][.]debugger_launch.json&#xD;&#xA;ide.meta_custom_debugger.reference.usage.url=https://github.com/Microsoft/vscode-cpptools/blob/master/launch.md#customlaunchsetupcommands&#xD;&#xA;ide.meta_custom_debugger.reference.connect.url=https://docs.microsoft.com/en-us/visualstudio/debugger/create-custom-views-of-native-objects?view=vs-2019&#xD;&#xA;ide.compiler_flags_no_opt=-O0&#xD;&#xA;ide.debug_menu.vm_disable_optimization=Disable Optimization&#xD;&#xA;ide.debug_menu.vm_disable_optimization.vm_disable_opt_default=Default Optimization&#xD;&#xA;ide.debug_menu.vm_disable_optimization.vm_disable_opt_proj=No Project  Optimization&#xD;&#xA;ide.debug_menu.vm_disable_opt_proj.vm_disable_opt_project={ide.compiler_flags_no_opt}&#xD;&#xA;ide.debug_menu.vm_disable_optimization.vm_disable_opt_proj_libs=No Project + Libraries Optimization&#xD;&#xA;ide.debug_menu.vm_disable_opt_proj_libs.vm_disable_opt_project={ide.compiler_flags_no_opt}&#xD;&#xA;ide.debug_menu.vm_disable_opt_proj_libs.vm_disable_opt_libraries={ide.compiler_flags_no_opt}&#xD;&#xA;ide.debug_menu.vm_disable_optimization.vm_disable_opt_all=No Optimization&#xD;&#xA;ide.meta_vm_disable_opt_all.sentence=Disable compiler optimization for all sources:- Project, Library and Platform.&#xD;&#xA;ide.meta_vm_disable_opt_all.comment=After switching between 'No Optimization' and other optimization values, please click &quot;Solution Clean&quot; or switch off (or cycle) 'vMicro&gt;Compiler&gt;Shared Cache For Cores'. NOTE: Changing optimization settings can cause build errors or result in overly large programs.&#xD;&#xA;ide.debug_menu.vm_disable_opt_all.vm_disable_opt_project={ide.compiler_flags_no_opt}&#xD;&#xA;ide.debug_menu.vm_disable_opt_all.vm_disable_opt_libraries={ide.compiler_flags_no_opt}&#xD;&#xA;ide.debug_menu.vm_disable_opt_all.vm_disable_opt_core={ide.compiler_flags_no_opt}&#xD;&#xA;ide.appid=arduino19x&#xD;&#xA;location.sketchbook=C:\Users\Thk\Documents\Arduino&#xD;&#xA;build.core.path=C:\Users\Thk\AppData\Local\arduino15\packages\esp8266\hardware\esp8266\2.5.1\cores\esp8266&#xD;&#xA;vm.core.include=arduino.h&#xD;&#xA;vm.boardsource.path=C:\Users\Thk\AppData\Local\arduino15\packages\esp8266\hardware\esp8266\2.5.1&#xD;&#xA;runtime.platform.path=C:\Users\Thk\AppData\Local\arduino15\packages\esp8266\hardware\esp8266\2.5.1&#xD;&#xA;vm.platformname.name=esp8266&#xD;&#xA;build.arch=ESP8266&#xD;&#xA;upload.speed=921600&#xD;&#xA;build.f_cpu=80000000L&#xD;&#xA;build.flash_size=1M&#xD;&#xA;build.flash_size_bytes=0x100000&#xD;&#xA;build.flash_ld=eagle.flash.1m128.ld&#xD;&#xA;upload.maximum_size=892912&#xD;&#xA;build.rfcal_addr=0xFC000&#xD;&#xA;build.spiffs_start=0xDB000&#xD;&#xA;build.spiffs_end=0xFB000&#xD;&#xA;build.spiffs_blocksize=4096&#xD;&#xA;build.project_name=RedCarpetServer.ino&#xD;&#xA;build.project_path=D:\Projekte\redcarpet\Software\RedCarpetServer&#xD;&#xA;sketch_path=D:\Projekte\redcarpet\Software\RedCarpetServer&#xD;&#xA;ProjectDir=D:\Projekte\redcarpet\Software\RedCarpetServer\&#xD;&#xA;build.path=C:\Users\Thk\AppData\Local\Temp\VMBuilds\RedCarpetServer\esp8266_d1_mini_lite\Release&#xD;&#xA;builder.noino=false&#xD;&#xA;build.architecture=2.5.0-3-20ed2b9&#xD;&#xA;vmresolved.compiler.path=C:\Users\Thk\AppData\Local\arduino15\packages\esp8266\tools\xtensa-lx106-elf-gcc\2.5.0-3-20ed2b9\bin\&#xD;&#xA;vmresolved.tools.path=C:\Users\Thk\AppData\Local\arduino15\packages\esp8266\tools\xtensa-lx106-elf-gcc\2.5.0-3-20ed2b9&#xD;&#xA;" visualmicro.application.name="arduino19x" arduino.build.mcu="esp8266" arduino.upload.protocol="" arduino.build.f_cpu="80000000L" arduino.board.desc="LOLIN(WEMOS) D1 mini Lite" arduino.board.name="esp8266_d1_mini_lite" arduino.upload.port="COM3" visualmicro.platform.name="esp8266" arduino.build.core="esp8266" config.Debug.customdebug_esp8266_d1_debugger_type="universal" />
    </VisualStudio>
  </ProjectExtensions>
</Project>